Share via


Virtual Network Gateways - Get Bgp Peer Status

The GetBgpPeerStatus operation retrieves the status of all BGP peers.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/getBgpPeerStatus?api-version=2025-05-01
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways/{virtualNetworkGatewayName}/getBgpPeerStatus?api-version=2025-05-01&peer={peer}

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

virtualNetworkGatewayName
path True

string

The name of the virtual network gateway.

api-version
query True

string

minLength: 1

The API version to use for this operation.

peer
query

string

The IP address of the peer to retrieve the status of.

Responses

Name Type Description
200 OK

BgpPeerStatusListResult

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

GetVirtualNetworkGatewayBGPPeerStatus

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworkGateways/vpngw/getBgpPeerStatus?api-version=2025-05-01

Sample response

{}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/locations/eastus/operations/00000000-0000-0000-0000-000000000000?api-version=2025-05-01

Definitions

Name Description
BgpPeerState

The BGP peer state.

BgpPeerStatus

BGP peer status details.

BgpPeerStatusListResult

Response for list BGP peer status API service call.

CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

BgpPeerState

The BGP peer state.

Value Description
Unknown

Unknown

Stopped

Stopped

Idle

Idle

Connecting

Connecting

Connected

Connected

BgpPeerStatus

BGP peer status details.

Name Type Description
asn

integer (int64)

minimum: 0
maximum: 4294967295

The autonomous system number of the remote BGP peer.

connectedDuration

string

For how long the peering has been up.

localAddress

string

The virtual network gateway's local address.

messagesReceived

integer (int64)

The number of BGP messages received.

messagesSent

integer (int64)

The number of BGP messages sent.

neighbor

string

The remote BGP peer.

routesReceived

integer (int64)

The number of routes learned from this peer.

state

BgpPeerState

The BGP peer state.

BgpPeerStatusListResult

Response for list BGP peer status API service call.

Name Type Description
value

BgpPeerStatus[]

List of BGP peers.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.